> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Identify customer

> Link a customer with a tracking ID to establish analytics relationships.



## OpenAPI

````yaml PATCH /events/identify
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /events/identify:
    patch:
      description: Link a customer with a tracking ID to establish analytics relationships.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - customer_id
                - tracking_id
              properties:
                customer_id:
                  type: string
                  description: The customer unique identifier in your system
                tracking_id:
                  type: string
                  format: uuid
                  description: A valid UUID that identifies the tracking session
            example: {}
        required: true
      responses:
        '200':
          description: Customer identification successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      success:
                        type: boolean
                        description: Indicates if the identification was successful
                        example: true
        '401':
          description: Unauthorized, invalid access token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - details
      type: object
      properties:
        error:
          type: string
        details:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````